
ChiliProject - Bug # 1209: Empty "Tickets" panel with custom queries

Status: Needs more information Priority: Normal
Author: Chris Dähn Category: User interface
Created: 2013-01-17 Assignee:
Updated: 2013-06-23 Due date:
Remote issue URL:
Affected version:
Description: Since version 3.3.0 the div "sidebar" doesn't show the ticket queries any more.

Here the HTML:

<pre>
<div id="side-container">
  ...
  <div id="main-menu">
    <div id="sidebar">
      <h3>Tickets</h3>
    </div>
  </div>
</div>
</pre>

The bug was discussed in a forum a month ore more ago - but nobody issued it here (or I didn't find the 
ticket).

Please: This feature annoys me and my colleagues every day - especially why we need the filters for the 
Gantt view, too.

Associated revisions
2008-05-24 07:58 pm - Jean-Philippe Lang 
Fixed: View differences for individual file of a changeset fails if the subversion repository URL doesn't point to the repository root (#1209, #1262, 
#1275).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1446 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2013-01-17 03:06 pm - Holger Just
- Status changed from Open to Needs more information

- Priority changed from High to Normal

- Target version deleted (3.8.0)

The filters are now included in the issues menu. Please see the screenshot in #559. This change was introduced in #929.

In #1090 we fixed a regression where the query list was not available outside of projects anymore.

Could you please specify further, what exactly is missing and you want to change?

2013-01-17 03:38 pm - Chris Dähn
Hi,
see my attached Screenshot - there is an empty ticket query section, which is needed to filter not on tickets in "Tickets" view, its needed especially for 
the "Gantt" view.

Without having the queries below the sidebar, one must follow these painful steps to get a filtered Gantt view:

1. open "Tickets" panel
2. select the filter/query, e.g. "My tickets"
3. open "Gantt" view and hope, that the query applies to it

With throwing away the very useful queries list below the sidebar and moving it to he hidden tickets panel, one not only has to do more actions to get 
the same result like in 3.1.0, one can't even filter the Gantt view without hacks any more.

Please bring back the functionality - it would solve some really painful usability pitfalls and brings back filtering of he Gantt view.

Just besides: Our company has nearly hundred open tickets every day - so the Gantt view MUST be filtered, otherwise its completely unusable (it even 
doesn't fit on an 24" monitor).

2013-01-17 03:38 pm - Chris Dähn
- File CP-Missing-TicketQueries.png added

2013-01-18 12:56 pm - Chris Dähn
Litte Note from a discussion with some users today:

We have a ticketsystem with a dozen users and everyone has its own ticket filer/query and we have some global filters like "Tickets with High Prio" and 
"Servicetickets only" (Tracker "Serviceticket").

So the list of available ticket filters/queries is so long that the sidebar panel for "Tickets" growed in height so much, that the rest of the sidebar (Gannt & 
Co) are out of the visible screen (on a 24" monitor).

Our users wished back the old view - where the ticket filtes are visible below the sidebar... and they love the idea of a global / or always visible "New 
Issue" button #1093 ;-)

2013-06-23 12:05 am - Chris Dähn
*Update*
After reviewing the code/UI changes the problem is just:

All ticket queries were global and visibile below the sidebar inside the section
<pre>
    <div id="sidebar">
      <h3>Tickets</h3>
      ...ticket queries...
</pre>

and are moved into the foldable sidebar menu entry of "Tickets" - but the mistake was: These queries are needed for the "Gantt" view, too.

So: The menu entry "Gantt" needs the list of ticket queries, too. And the obsolete (and currently empty) section "Tickets" below the sidebar has to be 
removed.

I try to fix this issue together with a colleague of mine, if it's ok for you.

ciao,
Chris
